// put.C  Version 2.20  Copyleft (c) 杉本典夫
// Time-stamp: <2022-11-28 16:58:26 tac>
//
// 各種出力用共通関数群
//
// ライブラリ：libfun.so.2.2
// コンパイル法：g++ -O -fPIC -c put.C

#include <fun.H>                // 共通関数用ヘッダファイル

using namespace fun;            // fun名前空間使用(名前空間std含む)

int fun::disperr(const string& pname, const string& msg1, const string& msg2)
// エラーメッセージを標準エラー出力に出力する
{
  beep();
  if (pname.empty())            // システムエラーメッセージを表示
  {
    perror("エラー発生");
    return -1;
  }
  if (msg1.empty())             // システムエラーメッセージを表示
  {
    perror(pname.c_str());
    return -1;
  }
  cerr << pname << ":" << msg1; // 独自のエラーメッセージ
  if (!(msg2.empty())) cerr << msg2;
  cerr << endl;
  return -1;                    // 一般的な関数エラー値を返す
}

void fun::putline(ostream& fout, int n, char linec)
// 区切り線を出力する
{
  for (int i = 0; i < n; ++i) fout << linec;
  fout << endl;
}
